/* colors-
* black #242424
* white #e0e0e0
* primary #dfcf3f
* seconday #8d2a2a
*/

/* --------------------common styles-------------------- */

.prim-color {
	color: #dfcf3f;
}

.prim-radial {
	background: radial-gradient(#dddddd, #c7a535);
}

.head-font {
	font-family: 'Caladea', serif;
}

.upper {
	text-transform: uppercase;
}

.center {
	text-align: center;
}

.btn {
	background-color: #242424;
	color: #d4d4d4;
	padding: 4px 16px;
	border-radius: 30px;
}

.btn-nobkg {
	color: #242424;
	border-radius: 30px;
}

.focusable {
	cursor: pointer;
}

.p4 {
	padding: 4px;
}

.pl4 {
	padding-left: 4px;
}

.pr4 {
	padding-right: 4px;
}

.pt4 {
	padding-top: 4px;
}

.pb4 {
	padding-bottom: 4px;
}

.p8 {
	padding: 8px;
}

.pl8 {
	padding-left: 8px;
}

.pr8 {
	padding-right: 8px;
}

.pt8 {
	padding-top: 8px;
}

.pb8 {
	padding-bottom: 8px;
}


.m4 {
	margin: 4px;
}

.ml4 {
	margin-left: 4px;
}

.mr4 {
	margin-right: 4px;
}

.mt4 {
	margin-top: 4px;
}

.mb4 {
	margin-bottom: 4px;
}

.m8 {
	margin: 8px;
}

.ml8 {
	margin-left: 8px;
}

.mr8 {
	margin-right: 8px;
}

.mt8 {
	margin-top: 8px;
}

.mb8 {
	margin-bottom: 8px;
}


/* --------------------global styles-------------------- */

* {
	margin: 0;
	padding: 0;
	color: #242424;
	font-family: 'Caladea', serif;
	font-family: 'PT Sans', sans-serif;
	text-decoration: none;
	line-height: 170%;
	word-spacing: 0.15em;
	letter-spacing: 0.02em;
}

body {
	text-align: left;
	background-color: #e0e0e0;
	box-sizing: border-box;
}

.flash-anim {
	opacity: 40%;
}

.small-container {
	padding: auto;
	margin: 24px 24px;
}

.tower {
	display: flex;
	align-items: center;
	flex-direction: column;
}

.tower * {
	max-width: 150px;
}


.col-two {
	display: grid;
	grid-template-columns: 1fr;
}

.col-two * {
	margin-top: 5px;
	margin-bottom: 5px;
}

.col-three {
	display: grid;
	grid-template-columns: 1fr;
}

.col-three * {
	margin-top: 5px;
	margin-bottom: 5px;
}


/* .left-side{
	
}

.right-side{
	
}*/


/* navbar styles */

#navbar {
	padding: 2.5%;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	margin-top: 3%;
	margin-bottom: 3%;
}

#navbar-main {
	width: 100%;
	display: flex;
	flex-direction: row-reverse;
	align-items: center;
	justify-content: space-between;
}

#menu-icon {
	cursor: pointer;
}

#nav-menu {
	display: none;
	transition: all .5s;
	width: 95%;
	box-sizing: border-box;
	left: 0;
	top: 17.5%;
	padding: 5% auto;
	margin: 2% auto;
	text-align: center;
	font-size: 110%;
}


.brand-wrapper a {
	display: flex;
	align-items: center;
	/* text-align: end; */
	justify-content: end;
}

.brand-wrapper a div {
	width: 100%;
}

.brand-wrapper img {
	border-radius: 50%;
	margin: 0 2%;
}

.nav-link-wrapper {
	margin: 4% auto;
	width: 75%;
	height: 10%;
}

.nav-link-wrapper a {
	margin: 10% auto;
	font-size: 0.95em;
	text-transform: uppercase;
	height: 100%;
	width: 100%;
	color: #727272;
	padding: 2% 10%;
}

.transY:hover {
	transform: translateX(-5px);
	transition: transform .5s;
}

#active-nav-link a {
	/* box-shadow: 0 0 30px 2px #bdbdbd; */
	color: #242424;
	font-weight: bolder;
	border-bottom: 2px solid;
}


/* content styles */


.intro-wrapper {
	position: relative;
	display: flex;
	flex-direction: column;
	justify-content: center;
}

.intro-img-bkg {
	/* background-attachment: fixed; */
	/* background-size: contain; */
	/* background-position: center; */
	/* background-repeat: no-repeat;	 */
	position: relative;
	/* width: 100%; */
	/* min-width: 300px; */
	filter: grayscale(50%);
	/* height: 50vh; */
	/* max-height: 300px; */
	/* min-height: 300px; */
}

.intro-text-wrapper {
	position: absolute;
	top: 0;
	padding-top: 5px;
	width: 100%;
	/* height: 100%; */
	/* background-color: rgba(13, 13, 13, 0.5); */
	display: flex;
	flex-direction: column;
	text-align: center;
	justify-content: center;
	align-items: center;
	/* font-size: 100%; */
}

.intro-text-wrapper * {
	/* color: #eeeeee; */
	/* c7a535 */
	/* font-size: 1.1em; */
	opacity: 80%;
	/* margin-left: 30px; */
	/* margin-right: 30px; */

}

/* .intro-text-wrapper h2 {
	color: #eeeeee;
} */


.section-wrapper {
	padding: 0 3%;
	margin: 10% auto;
}

#img-board-combat-covid {
	width: 100px;
}

#txt-board-combat-covid {
	position: absolute;
	top: 22px;
	right: 15px;
	font-size: 0.85em;
}

#about-wrapper {
	margin: 0% auto;
	padding: 5% 3%;
	display: flex;
	align-items: center;
	justify-content: center;
	flex-direction: column;
	background: radial-gradient(#dddddd, #c7a535);
}

#about-wrapper * {
	color: #070707;
}

#about-content-wrapper {
	font-weight: 110%;
	display: flex;
	flex-direction: column;
	padding: 3% 1.5%;
}

#about-content-wrapper * {
	margin: 0;
	padding: 0;
}


#about-txt-wrapper {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: flex-start;
	text-align: justify;
}

#about-img-wrapper img {
	width: 100%;
	margin-top: 4%;
	box-shadow: 2px 2px 40px #75674e;
}


#about-btn-wrapper {
	padding: 1% 3%;
	margin: 6% auto;
	width: max-content;
	border-radius: 2%;
	background-color: rgba(206, 206, 206, 0.575);
}


#skills-intro-wrapper {
	display: flex;
	flex-direction: column;
	align-items: center;
}

#skill-list-wrapper {
	display: grid;
	grid-template-rows: 1fr 1fr 1fr;
}

.skill-wrapper {
	display: flex;
	flex-direction: column;
	margin-top: 5%;
	padding: 4%;
	border-radius: 2%;
	background-color: #d4d4d4;
	box-shadow: 0 0 25px 0px #bdbdbd;
}


#skill-title-wrapper {
	text-transform: uppercase;
}

.skill-wrapper img {
	width: 100%;
	margin: 5% auto;
}

.skill-btn-wrapper {
	width: max-content;
	height: max-content;
	background-color: #c7a535;
	border-radius: 2%;
	padding: 1% 2%;
}

.skill-btn-wrapper * {
	color: #070707;
	padding: 0;
	margin: 0;
}

.footer {
	background-color: #242424;
	text-align: center;
	padding: 8px 16px;
}

.footer * {
	margin-top: 4px;
	margin-bottom: 4px;
	color: #e0e0e0;
}


.link {
	color: #ac8c23;
	border-bottom: 1px solid #ac8c23;
}


/* legal styles */

#legal {
	text-align: justify;
}

/* projects styles */


.project-list-wrapper {
	display: grid;
	grid-template-rows: 1fr 1fr 1fr 1fr;
	grid-template-columns: 1fr;
	margin: 4% auto;
}


.project-wrapper {
	width: 80%;
	margin: 4% auto;
	padding: 6% 4%;
	text-align: center;
	border-radius: 2%;
	background-color: #d4d4d4;
}


/* .project-img-txt-wrapper{
	display: flex;
	flex-direction: column;
} */

.project-img {
	border-radius: 3%;
	margin: 2% auto;
	width: 100%;
	max-height: 250px;
}

.project-txt-wrapper {
	text-align: left;
}

.project-title {
	/* color: #c7a535; */
	margin: 0.5% auto;
	padding: 0.5% 5%;
}

.project-subtitle {
	margin: 0.5% auto;
	padding: 0.5% 5%;
}

.project-btn {
	margin: 0;
	padding: 0;
	width: 50%;
}

.project-desc-wrapper {
	width: 85%;
	text-align: justify;
	margin: 1% auto;
}


/* credits styles */
.credit-name-wrapper,
.credit-src-wrapper {
	color: #c7a535;
}

.credits-content-wrapper {
	padding-left: 8%;
	padding-right: 8%;
}

/* member styles */


.member-list-wrapper {
	display: grid;
	grid-template-rows: 1fr 1fr 1fr 1fr;
	margin: 4% auto;
}


.member-wrapper {
	width: 80%;
	margin: 4% auto;
	padding: 6% 4%;
	text-align: center;
	border-radius: 2%;
	background-color: #d4d4d4;
}


.member-img-txt-wrapper {
	display: flex;
}

.member-img {
	border-radius: 3%;
	margin: 2% auto;
	width: 33%;
	height: 33%;
	display: none;
}

.member-txt-wrapper {
	width: 100%;
	text-align: left;
}

.member-title {
	/* color: #c7a535; */
	font-family: 'Caladea', serif;
	border-radius: 2%;
	margin: 0.5% auto;
	padding: 0.5% 5%;
}

.member-subtitle {
	font-family: 'PT Sans', sans-serif;
	margin: 0.5% auto;
	padding: 0.5% 5%;
}

.member-btn {
	margin: 0;
	padding: 0;
	width: 50%;
}





/* error styles */
#error-content-wrapper {
	text-align: center;
	margin-top: 6%;
	margin-bottom: 10%;
}


#error-content-wrapper div {
	width: 50%;
	display: flex;
	text-align: left;
	justify-content: center;
	align-items: center;
	margin: 2% auto;
	padding: 2% auto;
}

#error-content-wrapper a {
	font-weight: bold;
	color: #070707;
	background-color: #c7a535;
	margin: 2% auto;
	padding: 2% auto;
}

.view-gone {
	display: none;
}

/****************************
responsive
****************************/

@media only screen and (min-width: 768px) {
	body {
		font-size: 130%;
	}

}

@media only screen and (min-width: 932px) {
	.col-two {
		grid-template-columns: 1fr 1fr;
	}

	.col-three {
		grid-template-columns: 1fr 1fr 1fr;
	}



	.tower {
		flex-direction: row;
		justify-content: center;
	}

	body {
		font-size: 120%;
	}

	#navbar {
		flex-direction: row;
		padding: 1.5% 1%;
		margin-top: 0;
		margin-bottom: 0;
	}

	.transY:hover {
		transform: translateY(-5px);
		transition: transform .5s;
	}

	#navbar-main {
		flex: 1;

		min-width: 400px;
		display: flex;
		flex-direction: row;
		align-items: center;
		justify-content: right;

	}


	#nav-menu {
		display: flex;
		margin: 0;
		text-align: center;
		justify-content: center;
		font-size: 95%;
		padding: 0 auto;
	}

	.nav-link-wrapper {
		margin: 0;
	}


	.nav-link-wrapper a {
		margin-top: 8%;
		margin-bottom: 8%;
		margin-left: 2%;
		padding: 4% 0;
	}


	#menu-icon {
		display: none;
	}

	.brand-wrapper {
		width: 100%;
		font-size: 90%;
	}

	.brand-wrapper img {
		width: 12%;
		height: 12%;
		margin: 0.5% 3%;
	}


	/* index styles */



	.intro-img-bkg {
		/* height: 90vh; */
		background-position: center;
	}


	.intro-text-wrapper {
		padding-top: 100px;
	}

	.intro-text-wrapper * {
		font-size: 2.5em;

	}

	#img-board-combat-covid {
		width: 150px;
	}

	#txt-board-combat-covid {
		position: absolute;
		top: 35px;
		right: 22px;
		font-size: 1em;
	}


	#about-wrapper {
		font-size: 95%;
		padding-top: 2.5%;
		padding-bottom: 2.5%;
	}

	#about-content-wrapper {
		display: grid;
		grid-template-rows: 1fr;
		grid-template-columns: 1fr 1fr;
		padding: 2%;
	}

	#about-content-wrapper * {
		margin: 0 2%;
		padding: 0;
	}


	#about-img-wrapper img {
		margin-left: 2%;
		margin-right: 2%;
		box-shadow: 5px 5px 30px #5f5749;
	}


	#skill-list-wrapper {
		display: grid;
		grid-template-rows: 1fr;
		grid-template-columns: 1fr 1fr 1fr;
	}

	.skill-wrapper {
		margin-top: 10%;
		margin-bottom: 10%;
		margin-left: 10%;
		margin-right: 10%;
	}


	.skill-wrapper img {
		width: 100%;
		margin: 5% auto;
	}

	/* proj styles */

	.project-list-wrapper {
		grid-template-rows: 1fr 1fr;
		grid-template-columns: 1fr 1fr;
	}

	.project-wrapper {
		width: 80%;
		margin-top: 10%;
		margin-bottom: 0;
		padding: 6% 4%;
	}

	.project-img {
		max-height: 350px;
	}

	/* member styles */

	.member-list-wrapper {
		/* grid-template-rows: 1fr 1fr; */
		grid-template-columns: 1fr 1fr 1fr;
	}

	.member-wrapper {
		width: 80%;
		margin-top: 10%;
		margin-bottom: 0;
		padding: 6% 4%;
	}

	/* error styles */

	#error-content-wrapper {
		height: 30vh;
	}

	#error-content-wrapper a {
		padding: 0.5% 1%;
	}

	/* footer styles */

	.footer {
		text-align: left;
		padding: 16px 32px;
	}


}